### Function

# FwupdPlugin path_get_files

#### Declaration [src]

    GPtrArray*
    fu_path_get_files (
      const gchar* path,
      GError** error
    )

#### Description [src]

Returns every file found under `directory`, and any subdirectory. If any path under `directory` cannot be accessed due to permissions an error will be returned.

Available since: | 1.8.2

#### Parameters

`path` | `const gchar*`
| A directory name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | An array of `utf8`
| Array of files, or `NULL` for error.
| The caller of the function takes ownership of the data container, but not the data inside it.
| Each element is a NUL terminated UTF-8 string.